> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Bom



## OpenAPI

````yaml /api/openapi-cutmake.json get /api/v1/bom/{bom_id}
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/bom/{bom_id}:
    get:
      tags:
        - BOM
      summary: Get Bom
      operationId: get_bom_api_v1_bom__bom_id__get
      parameters:
        - name: bom_id
          in: path
          required: true
          schema:
            type: string
            title: Bom Id
        - name: X-Org-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Org-Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BOMResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    BOMResponse:
      properties:
        id:
          type: string
          title: Id
        documentId:
          type: string
          title: Documentid
        styleId:
          anyOf:
            - type: string
            - type: 'null'
          title: Styleid
        skuId:
          anyOf:
            - type: string
            - type: 'null'
          title: Skuid
        style:
          anyOf:
            - $ref: '#/components/schemas/StyleInfo'
            - type: 'null'
        sku:
          anyOf:
            - $ref: '#/components/schemas/StyleSKUInfo'
            - type: 'null'
        currentVersion:
          type: integer
          title: Currentversion
        finalVersion:
          anyOf:
            - type: integer
            - type: 'null'
          title: Finalversion
        versionCount:
          type: integer
          title: Versioncount
        latestVersion:
          anyOf:
            - $ref: '#/components/schemas/BOMVersionSummary'
            - type: 'null'
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        createdAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createdat
        submittedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Submittedat
        createdById:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdbyid
        submittedById:
          anyOf:
            - type: string
            - type: 'null'
          title: Submittedbyid
        approvedById:
          anyOf:
            - type: string
            - type: 'null'
          title: Approvedbyid
        versions:
          anyOf:
            - items:
                $ref: '#/components/schemas/BOMVersionResponse'
              type: array
            - type: 'null'
          title: Versions
      type: object
      required:
        - id
        - documentId
        - currentVersion
        - versionCount
      title: BOMResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    StyleInfo:
      properties:
        id:
          type: string
          title: Id
        documentId:
          anyOf:
            - type: string
            - type: 'null'
          title: Documentid
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        refId:
          anyOf:
            - type: string
            - type: 'null'
          title: Refid
      type: object
      required:
        - id
      title: StyleInfo
    StyleSKUInfo:
      properties:
        id:
          type: string
          title: Id
        documentId:
          anyOf:
            - type: string
            - type: 'null'
          title: Documentid
        color:
          anyOf:
            - type: string
            - type: 'null'
          title: Color
        size:
          anyOf:
            - type: string
            - type: 'null'
          title: Size
      type: object
      required:
        - id
      title: StyleSKUInfo
    BOMVersionSummary:
      properties:
        id:
          type: string
          title: Id
        documentId:
          type: string
          title: Documentid
        versionNumber:
          type: integer
          title: Versionnumber
        changeDescription:
          anyOf:
            - type: string
            - type: 'null'
          title: Changedescription
        createdAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createdat
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        submittedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Submittedat
        submittedById:
          anyOf:
            - type: string
            - type: 'null'
          title: Submittedbyid
        approvedById:
          anyOf:
            - type: string
            - type: 'null'
          title: Approvedbyid
        rejectionReason:
          anyOf:
            - type: string
            - type: 'null'
          title: Rejectionreason
        isFinal:
          type: boolean
          title: Isfinal
          default: false
        finalizedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Finalizedat
        finalizedById:
          anyOf:
            - type: string
            - type: 'null'
          title: Finalizedbyid
      type: object
      required:
        - id
        - documentId
        - versionNumber
      title: BOMVersionSummary
    BOMVersionResponse:
      properties:
        id:
          type: string
          title: Id
        documentId:
          type: string
          title: Documentid
        versionNumber:
          type: integer
          title: Versionnumber
        changeDescription:
          anyOf:
            - type: string
            - type: 'null'
          title: Changedescription
        createdAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createdat
        createdById:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdbyid
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        submittedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Submittedat
        submittedById:
          anyOf:
            - type: string
            - type: 'null'
          title: Submittedbyid
        approvedById:
          anyOf:
            - type: string
            - type: 'null'
          title: Approvedbyid
        rejectionReason:
          anyOf:
            - type: string
            - type: 'null'
          title: Rejectionreason
        isFinal:
          type: boolean
          title: Isfinal
          default: false
        finalizedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Finalizedat
        finalizedById:
          anyOf:
            - type: string
            - type: 'null'
          title: Finalizedbyid
        lineItems:
          items:
            $ref: '#/components/schemas/schemas__bom_line_item__LineItemResponse'
          type: array
          title: Lineitems
        groupedLineItems:
          items:
            $ref: '#/components/schemas/LineItemCategoryGroup'
          type: array
          title: Groupedlineitems
      type: object
      required:
        - id
        - documentId
        - versionNumber
      title: BOMVersionResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    schemas__bom_line_item__LineItemResponse:
      properties:
        id:
          type: string
          title: Id
        billOfMaterialVersionId:
          type: string
          title: Billofmaterialversionid
        assignedMaterialOptions:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Assignedmaterialoptions
        chosenAssignedMaterialId:
          anyOf:
            - type: string
            - type: 'null'
          title: Chosenassignedmaterialid
        chosenAssignedSkuId:
          anyOf:
            - type: string
            - type: 'null'
          title: Chosenassignedskuid
        category:
          type: string
          title: Category
          default: Uncategorized
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        grossConsumption:
          type: number
          title: Grossconsumption
        sellingTolerance:
          type: number
          title: Sellingtolerance
        netSellingConsumption:
          type: number
          title: Netsellingconsumption
        buyingTolerance:
          type: number
          title: Buyingtolerance
        netBuyingConsumption:
          type: number
          title: Netbuyingconsumption
        materialCostInNativeCurrency:
          type: number
          title: Materialcostinnativecurrency
        nativeCurrency:
          type: string
          title: Nativecurrency
        materialCostInUsd:
          type: number
          title: Materialcostinusd
        estimatedMaterialPreparationLeadTime:
          type: integer
          title: Estimatedmaterialpreparationleadtime
        unit:
          type: string
          title: Unit
          default: pc
      type: object
      required:
        - id
        - billOfMaterialVersionId
        - grossConsumption
        - sellingTolerance
        - netSellingConsumption
        - buyingTolerance
        - netBuyingConsumption
        - materialCostInNativeCurrency
        - nativeCurrency
        - materialCostInUsd
        - estimatedMaterialPreparationLeadTime
      title: LineItemResponse
    LineItemCategoryGroup:
      properties:
        category:
          type: string
          title: Category
        items:
          items:
            $ref: '#/components/schemas/schemas__bom_line_item__LineItemResponse'
          type: array
          title: Items
      type: object
      required:
        - category
      title: LineItemCategoryGroup
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````